## org.gnu.pango
Class Direction

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.pango.Direction

public class Direction
extends Enum

The PangoDirection type represents the direction of writing for text.

Field Summary
`static Direction` `LTR` The text is written left-to-right
`static Direction` `RTL` The text is written right-to-left
`static Direction` `TTB_LTR` The text is written vertically top-to-bottom, with the rows ordered from left to right.
`static Direction` `TTB_RTL` The text is written vertically top-to-bottom, with the rows ordered from right to left.

Fields inherited from class org.gnu.glib.Enum
`value_`

Method Summary
`Direction` `and(Direction other)`
`static Direction` `intern(int value)`
`Direction` `or(Direction other)`
`boolean` `test(Direction other)`
`Direction` `xor(Direction other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LTR

    public static final Direction LTR

  The text is written left-to-right

### RTL

    public static final Direction RTL

  The text is written right-to-left

### TTB_LTR

    public static final Direction TTB_LTR

  The text is written vertically top-to-bottom, with the rows ordered from left to right.

### TTB_RTL

    public static final Direction TTB_RTL

  The text is written vertically top-to-bottom, with the rows ordered from right to left.

Method Detail

### intern

    public static Direction intern(int value)

### or

    public Direction or(Direction other)

### and

    public Direction and(Direction other)

### xor

    public Direction xor(Direction other)

### test

    public boolean test(Direction other)